Kling 4.0 Reference to Video
Integrasikan
kling/v4/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling/v4/reference-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling/v4/reference-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling/v4/reference-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/id/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "kling/v4/reference-to-video",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
Panggil model Kling 4.0 Reference to Video (kling/v4/reference-to-video) melalui Doitong API. Dokumentasi untuk agen: https://doitong.com/id/developers/models/kling/v4/reference-to-video.md
POST https://api.doitong.com/v1/run/kling/v4/reference-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
Jika status respons adalah "queued" atau "running", lakukan polling GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 hingga statusnya menjadi "succeeded"; file terdapat di outputs[].url. POST https://api.doitong.com/v1/quote/kling/v4/reference-to-video dengan body yang sama mengembalikan harga pasti sebelum dijalankan.
File seperti contoh: $1,175 1.175 kredit API file Anda diukur sebelum dijalankan Jalankan di halaman ini
Kunci API baru Anda. Ini hanya ditampilkan sekarang dan sudah dimasukkan ke dalam kode serta kolom kunci API di bawah. Simpan secara rahasia: jangan pernah menaruhnya di kode yang berjalan di browser.
Dibuat di Doitong
Karya publik yang dibuat dengan Kling 4.0 oleh komunitas Doitong. Gunakan kembali prompt dengan satu klik.
Video
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
Video
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
Video
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
Video
**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...
Video
Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...
Video
Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...
Video
Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....
Video
Animate this image realistically. Make me look like I am working at the computer: my eyes should naturally look at the screen, my hands should move naturally as if typing on the keyboard, and occasionally use the mouse. Add subtle, realistic movements to my head and body. Keep my facial...
Video
«Шедевр» Духовка резко открывается. ПУФ! Облако пара исчезает — внутри стоит красивый золотистый пирог. Лиза радостно достаёт его и пробует кусочек. Лиза: «Я гений!» Пирог внезапно наклоняется и падает набок. ПЛЮХ! Лиза смотрит на него и невозмутимо говорит: Лиза: «Ну… почти.» Камера быстро...
Video
В видео показана короткая драматическая история примерно на 29 секунд: * 0–4 сек. Мужчина со слезами на глазах держит оружие и выглядит глубоко расстроенным. * 4–8 сек. Он направляет оружие на женщину в клетчатой рубашке. Женщина зомби стоит спокойно, между ними напряжённая атмосфера. * 8–12 сек....
Video
«same character as reference, [сцена]». Кадры для песни Colores (вертикальные 9:16): Оба машут, приветствие Pipo держит красное яблоко Luna под голубым небом с голубым шариком Жёлтое солнце и цыплёнок рядом с героями Зелёная лягушка на листе, герои смотрят на неё Фиолетовый виноград Оба танцуют...
Video
Create a premium vertical Instagram Reels advertisement introducing “JÉRÉMIE IA”, the intelligent AI assistant integrated into the GENESIS mobile application. FORMAT: - Vertical 9:16 - 1080x1920 - 15–20 seconds - Premium social media advertising - Modern motion design - Cinematic technology...
Video
Сцена 1 — Появление Кивя (8 сек) Cinematic slow motion, tropical island beach, beautiful anthropomorphic kiwi woman Kivya stepping out of helicopter, glossy skin, elegant bikini, sunglasses, confident smile, other cute fruit characters watching in surprise: strawberry Klubni, banana Bananych,...
Video
Сцена 1 — Появление Кивя (8 сек) Cinematic slow motion, tropical island beach, beautiful anthropomorphic kiwi woman Kivya stepping out of helicopter, glossy skin, elegant bikini, sunglasses, confident smile, other cute fruit characters watching in surprise: strawberry Klubni, banana Bananych,...
Video
Кадр 1 (0–3 сек) — Остров, идиллия Что в кадре: Тропический пляж, закат. Четверо фруктов отдыхают: • Клубни потягивает коктейль • Бананыч загорает в шезлонге • Арбузиха жуёт жвачку и закатывает глаза • Яблониха стоит с микрофоном Звук: лёгкая музыка, шум волн Настроение: спокойствие перед бурей...
Video
Создай короткую 3D-анимационную сцену для детского мусульманского мультфильма, длительность 5–6 секунд. Алия — девочка 2–3 лет, милое круглое лицо, большие карие глаза, тёмные волосы, собранные в два маленьких хвостика, светло-розовое скромное платье. Алия находится ТОЛЬКО В СВОЕЙ СОБСТВЕННОЙ...
Buat permintaan
Kontrol dibuat dari skema model. Kode dan harga diperbarui saat Anda mengubahnya.
/run/kling/v4/reference-to-video?wait=20
estimasi harga → $1,175
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling/v4/reference-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling/v4/reference-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling/v4/reference-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "kling/v4/reference-to-video",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
Jalankan permintaan ini
Key Anda tetap berada di browser ini: key hanya dikirim ke Doitong API dan disimpan (localStorage) hanya jika Anda mencentang Ingat. Dapatkan kunci API
Tentang Kling 4.0 Reference to Video
Membuat video dari `prompt` teks serta gambar referensi, video referensi, dan elemen karakter atau objek, yang dirujuk dalam prompt sebagai @Image1, @Video1, atau @Element1. Durasi berkisar antara 3 hingga 30 detik (default 5), dengan output pada 720p atau 1080p dan rasio aspek auto, 16:9, 9:16, 1:1, atau 21:9. Gunakan `multi_prompt` untuk prompt per pengambilan gambar; dalam hal ini, durasi total adalah jumlah durasi setiap pengambilan gambar. Batasnya adalah 10 gambar, 5 video masing-masing berdurasi 3-30s, dan 7 elemen, yang hingga 3 di antaranya dapat membawa suara.
Parameter
Kirim nama kanonis atau nama asli, bukan keduanya. Nama kanonis
promptopsional
multi_promptopsional
multi_prompt[].promptwajib
multi_prompt[].durationopsional
durationopsional
start_image_urlopsional
image
image_urlsopsional
images
video_urlsopsional
videos
elementsopsional
elements[].frontal_image_urlopsional
elements[].reference_image_urlsopsional
elements[].video_urlopsional
elements[].voice_idopsional
resolutionopsional
aspect_ratioopsional
Parameter file menerima URL publik https://, URI data: hingga 10 MB, atau file_url dari unggahan. File
Output
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "kling/v4/reference-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1175,
"usd": "1.175",
"charged": 1175,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Field output
- video
- object {url, content_type, file_name, file_size}Video yang dihasilkan model.
Varian Kling 4.0 lainnya
Model lainnya: Referensi ke Video
Untuk agen AI: halaman ini dalam Markdown tersedia di https://doitong.com/id/developers/models/kling/v4/reference-to-video.md. Semua model dan panduan: https://doitong.com/developers/llms.txt